babel-plugin-dynamic-import-node-babel-7

Babel plugin to transpile import() to a deferred require(), for node

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
babel-plugin-dynamic-import-node-babel-7
702.0.76 years ago6 years agoMinified + gzip package size for babel-plugin-dynamic-import-node-babel-7 in KB

Readme

babel-plugin-dynamic-import-node

FORK OF THE ORIGINAL TO TEST WITH BABEL 7

If you're looking for the original one, check on: Github This fork was created to add support for Babel 7: Github
Babel plugin to transpile import() to a deferred require(), for node. Matches the proposed spec.
NOTE: Babylon >= v6.12.0 is required to correct parse dynamic imports.

Installation

$ npm install babel-plugin-dynamic-import-node-babel-7 --save-dev

Usage

Via .babelrc (Recommended)

.babelrc
{
  "plugins": ["dynamic-import-node-babel-7"]
}

Via CLI

$ babel --plugins dynamic-import-node script.js

Via Node API

require('babel-core').transform('code', {
  plugins: ['dynamic-import-node']
});

Code Example

Promise.all([
  import('./lib/import1'),
  import('./lib/import2')
 ]).then(([
   Import1,
   Import2
  ]) => {
   console.log(Import1);
   /* CODE HERE*/
  });